﻿Type=Class
Version=5.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module

'Class module

#Event: Click
#Event: LongClick


Sub Class_Globals
 
 	Private mTarget As Object
   	Private mEventName As String
   	Private mLabel As Label
	Private mData As String
	Private mFieldName As String 
	
End Sub

Public Sub Initialize (TargetModule As Object, EventName As String)
   mTarget 			= 	TargetModule
   mEventName 	= 	EventName
	 
	mLabel.Initialize(EventName)
	
	' automatizzo il nome del campo con il nome dell'evento
	' il nome del campo viene valorizzato con il tag - se il controllo è inserito nell'editor
	mFieldName 		=	EventName
	
		mLabel.textColor					=			Colors.Black
	 
End Sub

Public Sub DesignerCreateView(Base As Panel, Lbl As Label, Props As Map)
	
	'mLabel.Initialize("mLabel")
	Base.AddView(mLabel, 0, 0, Base.Width, Base.Height)
	
	' passo i valori impostati dell'editor di risorse al controllo interno
	mLabel.Tag						=		Lbl.Tag
	mFieldName						=		Lbl.Tag
	mLabel.Text						=		Lbl.Text	
	mLabel.Enabled					=		Lbl.Enabled
	mLabel.Gravity					=		Lbl.Gravity
	mLabel.TextColor				=		Lbl.TextColor
	mLabel.TextSize					=		Lbl.TextSize
	
	
End Sub
' restituisce il controllo view
Sub getCtrl As Label
	Return mLabel
End Sub
' restituisce il testo del controllo
Sub getText As String
	Return mLabel.Text
End Sub
' imposta il testo
Sub setText(aText As String)
	
	mLabel.Text = aText
	mData	=	aText
	
End Sub
' imposto il dato nel controllo 
Sub setData(aData As String)
	
	mData		= aData
	mLabel.Text = aData
	
End Sub
' restituisce il dato del controllo
Sub getData As String
	
	Return mData
		
End Sub
' imposto il nome del campo associato al controllo
Sub setField(aField As String)
	mFieldName = aField
'	Log(mFieldName)
End Sub
' restituisce il nome del campo associato al controllo
Sub getField As String
	Return mFieldName
End Sub
Sub GetSelectField As String
'	Log("Field: "& mFieldName)
	Return "ifnull("& mFieldName & ",'') AS " & mFieldName
End Sub
Sub Visible(aVisibile As Boolean)
	mLabel.Visible	=	aVisibile
End Sub
Private Sub mLabel_Click

	If SubExists(mTarget, mEventName & "_Click") Then
		CallSub(mTarget, mEventName & "_Click")
	End If
	
End Sub

Private Sub mLabel_LongClick

	If SubExists(mTarget, mEventName & "_LongClick") Then
		CallSub(mTarget, mEventName & "_LongClick")
	End If
End Sub